package com.zehong.system.service.impl;
import com.zehong.system.domain.*;
import com.zehong.system.mapper.PipeInterfaceMapper;
import com.zehong.system.service.IPipeInterfaceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.List;

/**
 * 管道信息数据实现层
 */
@Service
public class PipeInterfaceServiceImpl implements IPipeInterfaceService {

    @Autowired
    PipeInterfaceMapper pipeInterfaceMapper;

    /**
     * 查询管道数据列表
     * @return
     */
    @Override
    public List<PipeDate> selectPipeData() {
        List<PipeDate> pipeDates = pipeInterfaceMapper.selectPipeData();
        return pipeDates;
    }

    /**
     * 获取分组数据
     * @return
     */
    @Override
    public List<PipeDate> selectGroupPipeData() {
        List<PipeDate> pipeDates = pipeInterfaceMapper.selectGroupPipeData();
        return pipeDates;
    }

    /**
     * 调压箱数据查询方法
     * @return
     */
    @Override
    public List<DeviceData> selectDeviceData() {
        List<DeviceData> deviceData = pipeInterfaceMapper.selectDeviceData();
        return deviceData;
    }

    /**
     * 查询下级设备数据
     * @param deviceId
     * @return
     */
    @Override
    public List<PressureFlow> selectPressureFlow(String deviceId) {
        List<PressureFlow> pressureFlows = pipeInterfaceMapper.selectPressureFlow(deviceId);
        return pressureFlows;
    }

    /**
     * 场站信息查询方法
     * @return
     */
    @Override
    public List<TSiteStationInfoData> selectTSiteStationInfoData() {
        List<TSiteStationInfoData> tSiteStationInfoData = pipeInterfaceMapper.selectTSiteStationInfoData();
        return tSiteStationInfoData;
    }

    /**
     * 查询场站下级数据
     * @param siteStationId
     * @return
     */
    @Override
    public List<PressureFlow> selecttSiteStationInfoDataList(String siteStationId) {
        List<PressureFlow> pressureFlows = pipeInterfaceMapper.selecttSiteStationInfoDataList(siteStationId);
        return pressureFlows;
    }

    /**
     * 监控信息查询
     * @return
     */
    @Override
    public List<TvideoManagerData> selectTvideoManagerData() {
        List<TvideoManagerData> tvideoManagerData = pipeInterfaceMapper.selectTvideoManagerData();
        return tvideoManagerData;
    }

    /**
     * 燃气用户信息查询接口
     * @return
     */
    @Override
    public List<TdetectorUserData> selectTdetectorUser() {
        List<TdetectorUserData> tdetectorUserData = pipeInterfaceMapper.selectTdetectorUser();
        return tdetectorUserData;
    }

    /**
     * 查询企业名称id方法
     * @return
     */
    @Override
    public List<TenterpriseInfoData> selectTenterpriseInfoData() {
        List<TenterpriseInfoData> tenterpriseInfoData = pipeInterfaceMapper.selectTenterpriseInfoData();
        return tenterpriseInfoData;
    }

    /**
     * 查询阀门井数据
     * @return
     */
    @Override
    public List<PipeDate> selectvalveData() {
        List<PipeDate> pipeDates = pipeInterfaceMapper.selectvalveData();
        return pipeDates;
    }
}
